package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class CourseScheduleTeacherSalaryQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "分部编号",required = false)
    private Integer organId;

    @ApiModelProperty(value = "结算开始时间",required = false)
    private Date startTime;

    @ApiModelProperty(value = "结算结束时间",required = false)
    private Date endTime;

    @ApiModelProperty(value = "教师编号",required = false)
    private Integer teacherId;

    @ApiModelProperty(value = "课程类型",required = false)
    private String courseScheduleType;

    private boolean isExport = false;

    public boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(boolean export) {
        isExport = export;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getCourseScheduleType() {
        return courseScheduleType;
    }

    public void setCourseScheduleType(String courseScheduleType) {
        this.courseScheduleType = courseScheduleType;
    }
}
